# typed: false
# frozen_string_literal: true

# This file was generated by GoReleaser. DO NOT EDIT.
class Awl < Formula
  desc "A DNS query tool"
  homepage "https://dns.froth.zone/awl"
  version "0.6.5"
  license "BSD-3-Clause"

  on_macos do
    if Hardware::CPU.intel?
      url "https://git.froth.zone/sam/awl/releases/download/v0.6.5/awl_MacOS_amd64.tar.gz"
      sha256 "164c63fec9ccf5f0512ccec1cc38fa5894983de17f5ae64c0ece90ac9cb8cead"

      def install
        bin.install "awl"
        bash_completion.install "completions/bash.bash" => "awl"
        zsh_completion.install "completions/zsh.zsh" => "_awl"
        fish_completion.install "completions/fish.fish" => "awl.fish"
        man1.install "doc/awl.1.gz"
      end
    end
    if Hardware::CPU.arm?
      url "https://git.froth.zone/sam/awl/releases/download/v0.6.5/awl_MacOS_arm64.tar.gz"
      sha256 "1506e4b6a20956ca7c563790618d372b40e28c98ab2c6a389dee454e5ac91c74"

      def install
        bin.install "awl"
        bash_completion.install "completions/bash.bash" => "awl"
        zsh_completion.install "completions/zsh.zsh" => "_awl"
        fish_completion.install "completions/fish.fish" => "awl.fish"
        man1.install "doc/awl.1.gz"
      end
    end
  end

  on_linux do
    if Hardware::CPU.arm? && !Hardware::CPU.is_64_bit?
      url "https://git.froth.zone/sam/awl/releases/download/v0.6.5/awl_Linux_arm.tar.gz"
      sha256 "d0035c825489d1b67645b58ad4af046481571f511b7e73a1c5b56bb541ca1ae8"

      def install
        bin.install "awl"
        bash_completion.install "completions/bash.bash" => "awl"
        zsh_completion.install "completions/zsh.zsh" => "_awl"
        fish_completion.install "completions/fish.fish" => "awl.fish"
        man1.install "doc/awl.1.gz"
      end
    end
    if Hardware::CPU.arm? && Hardware::CPU.is_64_bit?
      url "https://git.froth.zone/sam/awl/releases/download/v0.6.5/awl_Linux_arm64.tar.gz"
      sha256 "628eb70770b5d798e1b3184b8560d49010f4ba2d8d5736430e2eaf6161b11af5"

      def install
        bin.install "awl"
        bash_completion.install "completions/bash.bash" => "awl"
        zsh_completion.install "completions/zsh.zsh" => "_awl"
        fish_completion.install "completions/fish.fish" => "awl.fish"
        man1.install "doc/awl.1.gz"
      end
    end
    if Hardware::CPU.intel?
      url "https://git.froth.zone/sam/awl/releases/download/v0.6.5/awl_Linux_amd64.tar.gz"
      sha256 "0bad91c73229b52fd854bcfaa4bf957f0ecfe05a1eb6f1b19efe10da7f4895b1"

      def install
        bin.install "awl"
        bash_completion.install "completions/bash.bash" => "awl"
        zsh_completion.install "completions/zsh.zsh" => "_awl"
        fish_completion.install "completions/fish.fish" => "awl.fish"
        man1.install "doc/awl.1.gz"
      end
    end
  end
end
